<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="getInfo()" [disabled]="ngForm.invalid">
    <i class="fas fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1"  [disabled]="dataGrid.length == 0">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100"
          (valueChange)="fechaChange(1);" [max]="maxDateDesde">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100"
          (valueChange)="fechaChange(2);" [min]="minDateHasta">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100 font-weight-bold">Reporte</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="detalle" class="k-radio"
          [checked]="true" (click)="changeFlag()">
          <label class="k-radio-label mr-2 w-100" for="detalle">Detallado</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="global" class="k-radio"
          (click)="changeFlag()">
          <label class="k-radio-label mr-2 w-100" for="global">Global</label>
        </div>
      </div>
      <div class="row">
        <div class="col-3">
          <label class="w-100"># Teléfono</label>
              <div class="input-group">
                <input type="tel" pattern="[0-9]*" class="form-control" formControlName="cChr1" readonly="true">
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'telefonosCargosDir')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>
        </div>
        <div class="col-3">
          <div class="form-group">
            <label class="w-100"></label>
            <input type="text"
                   formControlName="cChr2"
                   class="form-control mt-2"
                   readonly>
          </div>
        </div>
      </div>

      <div class="divider"></div>

    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading && ngForm.value.iInt1 == 1 && flag"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
              <div *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="NoTelefono" title="Teléfono" width="150">
                </kendo-grid-column>
                <kendo-grid-column field="Dia" title="Día" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Tipo" title="Tipo" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="NodeCargo" title="# de Cargo" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Hora" title="Hora" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Minutos" title="Minutos" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="TotalCargo" title="Total Cargo" width="150">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.TotalCargo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="Cxld" title="Cxld" width="120" class="text-right">
                  <ng-template kendoGridCellTemplate let-dataItem>
                    {{dataItem.Cxld ? 'Si' : 'No'}}
                  </ng-template>
                </kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading && ngForm.value.iInt1 == 2 && flag"
              [selectable]="true"
              [filter]="filter"
              [filterable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sortable]="true"
              [pageSize]="pageSize"
              [skip]="skip"
              [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}"
              style="height: 60vh;" class="mt-1">
              <div *ngIf="dataGrid.length !== 0">
                <kendo-grid-column field="Telefono" title="Teléfono" width="150">
                </kendo-grid-column>
                <kendo-grid-column field="Dia" title="Día" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="Minutos" title="Minutos" width="120" class="text-right">
                </kendo-grid-column>
                <kendo-grid-column field="TotalCargo" title="Total Cargo" width="150">
                  <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.TotalCargo | currency:'MXN' }}
                  </ng-template>
                </kendo-grid-column>
              </div>
              <ng-template kendoGridNoRecordsTemplate>
                {{ noRecords }}
              </ng-template>
    </kendo-grid>

  </div>
    <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-cargos-directos (telefonosCargosDir)="getDataModal($event, 'telefonosCargosDir'); c()" *ngIf="modalType === 'telefonosCargosDir'"></app-help-cargos-directos>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

